> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List users for a tenant with pagination, search by login email, and sorting



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/users/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/users/:
    get:
      tags:
        - Users
      summary: List Users
      description: >-
        List users for a tenant with pagination, search by login email, and
        sorting
      parameters:
        - schema:
            default: 1
            type: integer
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
          description: 1 = paginated response, 0 = full list
        - schema:
            type: number
          in: query
          name: page
          required: false
          description: Page number
        - schema:
            type: number
          in: query
          name: recordsPerPage
          required: false
          description: Records per page
        - schema:
            type: string
            maxLength: 50
          in: query
          name: sortBy
          required: false
          description: Sort column
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: tenantId
          required: false
          description: Tenant ID to filter users
        - schema:
            type: string
            maxLength: 255
          in: query
          name: query
          required: false
          description: Search by login email
      responses:
        '200':
          description: Paginated user list
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        email:
                          anyOf:
                            - type: string
                            - type: 'null'
                        title:
                          anyOf:
                            - type: string
                            - type: 'null'
                        tenantId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        timezone:
                          anyOf:
                            - type: string
                            - type: 'null'
                        userRoleId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        partnerId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        avatarPath:
                          anyOf:
                            - type: string
                            - type: 'null'
                        avatarThumbnailPath:
                          anyOf:
                            - type: string
                            - type: 'null'
                        extension:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  anyOf:
                                    - type: number
                                    - type: 'null'
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                number:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - name
                                - number
                              additionalProperties: {}
                            - type: 'null'
                        userRole:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  anyOf:
                                    - type: number
                                    - type: 'null'
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - name
                              additionalProperties: {}
                            - type: 'null'
                        partner:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  anyOf:
                                    - type: number
                                    - type: 'null'
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - name
                              additionalProperties: {}
                            - type: 'null'
                        pharmacyLocations:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                anyOf:
                                  - type: number
                                  - type: 'null'
                              type:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              name:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - type
                              - name
                            additionalProperties: {}
                        adminTenants:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - name
                            additionalProperties: {}
                      required:
                        - id
                        - email
                        - title
                        - tenantId
                        - timezone
                        - userRoleId
                        - partnerId
                        - avatarPath
                        - avatarThumbnailPath
                        - extension
                        - userRole
                        - partner
                        - pharmacyLocations
                      additionalProperties: {}
                      description: User
                  page:
                    type: number
                  maxPage:
                    type: number
                  totalRecords:
                    type: number
                required:
                  - records
                  - page
                  - maxPage
                  - totalRecords
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````